Receive Stock Transfer From Transit
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"lineItems": [
{
"stockTransferLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"inventoryManagementInformation": {
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"serialNumbers": [
"<string>"
]
}
}
],
"comment": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit"
payload = {
"lineItems": [
{
"stockTransferLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"inventoryManagementInformation": {
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"serialNumbers": ["<string>"]
}
}
],
"comment": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
lineItems: [
{
stockTransferLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
inventoryManagementInformation: {
shelfLifeExpirationDate: '2023-11-07T05:31:56Z',
batchNumber: '<string>',
serialNumbers: ['<string>']
}
}
],
comment: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lineItems' => [
[
'stockTransferLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'inventoryManagementInformation' => [
'shelfLifeExpirationDate' => '2023-11-07T05:31:56Z',
'batchNumber' => '<string>',
'serialNumbers' => [
'<string>'
]
]
]
],
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit"
payload := strings.NewReader("{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Inventory
Receive Stock Transfer From Transit
Receives quantities from the transit warehouse in the target warehouse. Can be called several times until all quantities have been received; the stock transfer is completed when nothing is left in transit.
POST
/
v2
/
stock-transfers
/
{stockTransferId}
/
from-transit
Receive Stock Transfer From Transit
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"lineItems": [
{
"stockTransferLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"inventoryManagementInformation": {
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"serialNumbers": [
"<string>"
]
}
}
],
"comment": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit"
payload = {
"lineItems": [
{
"stockTransferLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"inventoryManagementInformation": {
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"serialNumbers": ["<string>"]
}
}
],
"comment": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
lineItems: [
{
stockTransferLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
inventoryManagementInformation: {
shelfLifeExpirationDate: '2023-11-07T05:31:56Z',
batchNumber: '<string>',
serialNumbers: ['<string>']
}
}
],
comment: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lineItems' => [
[
'stockTransferLineItemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'inventoryManagementInformation' => [
'shelfLifeExpirationDate' => '2023-11-07T05:31:56Z',
'batchNumber' => '<string>',
'serialNumbers' => [
'<string>'
]
]
]
],
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit"
payload := strings.NewReader("{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/stock-transfers/{stockTransferId}/from-transit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lineItems\": [\n {\n \"stockTransferLineItemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"inventoryManagementInformation\": {\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"serialNumbers\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
Request model for ReceiveStockTransferFromTransit command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The quantities were received in the target warehouse.
Was this page helpful?